JUNIOR TOOL COMMANDS HELP FILE
==============================

This file lists help on all commands junior characters can execute if
they possess the junior tool (/cmd/junior_tool.c). Please add new
commands in alphabetical order. Be advised that in order to make the
junior tool recognize the entries in this file, each entry should start
with the word "SYNTAX:" followed by the name and possible options
separated one space between "SYNTAX:" and the name. The first word behind
"SYNTAX:" will be regarded as the command.

WARNING:

If you alter this file, you have to call the function get_help_index() in
the junior tool and manually update the mapping ALL_COMMANDS in the tool.
The figures the function prints can be easily pasted into the mapping.
This may not seem chic to do, but I imagine this file will be rather
static and hardcoding the index means that it does not have to be
recomputed every time, which saves valuable execution time.

/Mercade

/*
 * Start of the actual help entries:
 */
SYNTAX: allcmd

DESCRIPTION:
	The command allcmd will give you a list of the commands that are
	supported by the junior tool.

SYNTAX: clone [-i / -e] <path>

DESCRIPTION:
	The command clone works just like the wizard command. It clones
	an object and by default tries to move it into your inventory. If
	that fails, your environment is the destination. The tilde (~)
	can be used and will by default point to your wizards directory.

ARGUMENTS:
	-i     - clone the object in your inventory (with force)
	-e     - clone the object in your environment (with force)
	<path> - the path-name of the object to clone

SYNTAX: death [prevent / allow]

DESCRIPTION:
	The command death will propect you against Death in combat. This
	does not mean that you cannot die, but it means that you will
	bypass the death-sequence and reincarnate instantly.

ARGUMENTS:
	[none]	- give information about the death-protection status
	prevent	- add the death-protection
	allow	- re-submit yourself to the powers of Death

SYNTAX: goto <player> / <living> / <path>

DESCRIPTION:
	The command goto will take you to another location. The normal
	teleport messages will be displayed. It is not possible for a
	junior character to alter his mm_in and mm_out messages. You can
	use a ~ in the path, which by default will be your wizards name.

ARGUMENTS:
	<player> - go to another player, wizard or mortal
	<living> - go to an NPC whose living_name is set
	<path>   - go to the room with filename <path>

SYNTAX: help junior <topic>

DESCRIPTION:
	The command help junior will give help on the commands supported
	by the junior tool. You must add the word 'junior' to distinguish
	between other help commands.

ARGUMENTS:
	<topic> - the topic you want help on

SYNTAX: home [<wizard> / admin]

DESCRIPTION:
	The command home will take you to the home of a wizard. The
	various exits wizards have in their workroom, might make it easy
	to travel. Be careful not to disturb wizards though.

ARGUMENTS:
	<none>   - go to your own wizards home
	admin	 - the home of the administration
	<wizard> - the name of the wizards whose home you want to visit

SYNTAX: list wizards

DESCRIPTION:
	The command list wizards will list all present wizards. This
	command is available since being a mortal, a junior would not get
	non-met wizards with the normal who command.

ARGUMENTS:
	wizards - necessary to have the wizard tool react to the command.

SYNTAX: peace

DESCRIPTION:
	The command peace will make peace with all current enemies. It
	will stop your current fighting and all people you are hunting or
	who are hunting you. It will not affect other people in the room.

SYNTAX: stat [<tracer> / <player> / <living> / <object> / here]

DESCRIPTION:
	The command stat works just as the wizards stat command and can
	use the tracer tool format. For more information, see the wizard
	help file.

ARGUMENTS:
	here     - stat the room you are in
	<tracer> - a tracer tool format
	<player> - the name of a player to stat
	<living> - stat an NPC whose living_name is set
	<object> - the path of an object to stat
	<none>   - stat yourself

SYNTAX: tell <wizard> <message>

DESCRIPTION:
	The command tell will tell a wizard a message. The command can
	only be used to communicate with wizards.

ARGUMENTS:
	<wizard>  - the name of the wizard to tell
	<message> - the message you want to tell the wizard

SYNTAX: update [-d] [<object(s)>]

DESCRIPTION:
	The command update will work just like the wizards update command
	and the usual warning to be very careful with updating therefore
	applies. For more information, see the wizards update command.

ARGUMENTS:
	<none>	  - update the room you are in
	-d	  - update a whole directory (VERY CAREFUL!)
	object(s) - whatever you want to update

SYNTAX: end_of_the_help_file
/*
 * This marker has been added in order to let the function get_help_index()
 * in the junior tool object find the last command. All commands should be
 * explained before the marker.
 */
